Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Does UltiDev Cassini support ASP.NET/.NET Framework 3.0 and 3.5?
Ultidev Team
#1 Posted : Tuesday, May 13, 2008 9:04:21 AM(UTC)
Ultidev Team

Groups: Administration
Joined: 11/3/2005(UTC)
Posts: 2,253

Thanks: 28 times
Was thanked: 59 time(s) in 58 post(s)
Yes (with a little bit of fine-print). ASP.NET 3.x is fully supported, including AJAX functionality, but Windows Communication Foundation services are not, due to a bug in WCF. The problem with WCF is that only requests originated at loopback ("localhost" or 127.0.0.1) addresses will be served by WCF when it is hosted by a web servers other than IIS or WAS. This means that both client and service must reside on the same machine. This issue affects only WCF web services, and not ASPX/AJAX functionality of ASP.NET 3.5 or ASMX web services. We contacted Microsoft about the problem, and unfortunately MS decided not to fix this problem, even though this clearly tightly couples WCF under ASP.NET to IIS/WAS only, shutting out all third party web servers out there, which certainly seems like an anti-competitive practice on MS part.

UltiDev Web Server Pro supports all WCF http bindings in ASP.NET 4.

Best regards,
UltiDev Team.
Please donate at http://www.ultidev.com/products/Donate.aspx to help us improve our products.
Guest
#2 Posted : Tuesday, August 26, 2014 7:25:52 AM(UTC)
Groups:

Message was deleted by a Moderator.
Guest
#3 Posted : Wednesday, November 26, 2014 11:13:49 PM(UTC)
Groups:

Message was deleted by a Moderator.
Guest
#4 Posted : Friday, December 12, 2014 3:59:57 AM(UTC)
Groups:

Message was deleted by a Moderator.
Rss Feed  Atom Feed
Users browsing this topic
Guest
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You can vote in polls in this forum.